# Test files describe situations and their expected outcomes
# We can run this test on our command line using `openfisca-run-test modify_social_security_taxation.yaml`

# This test is a partial adaptation of `social_security_contribution.yaml` to match the modifications introduced by the reform of the same name.

# Note the `reforms: ` key in the below YAML blocks.

- name: No social security contribution on small salaries
  reforms: openfisca_netherlands.reforms.modify_social_security_taxation.modify_social_security_taxation
  period: 2017-01
  input:
    salary: 2000
  output:
    social_security_contribution: 0

- name: Increased social security contribution on medium salaries
  reforms: openfisca_netherlands.reforms.modify_social_security_taxation.modify_social_security_taxation
  period: 2017-01
  input:
    salary: 15000
  output:
    social_security_contribution: 1336

- name: High social security contribution on high salaries
  reforms: openfisca_netherlands.reforms.modify_social_security_taxation.modify_social_security_taxation
  period: 2017-01
  input:
    salary: 50000
  output:
    social_security_contribution: 8336
